{
    "$graph": [
        {
            "class": "CommandLineTool",
            "inputs": [
                {
                    "type": "string",
                    "id": "#gen_paleocar_model.cwl/calibration_years"
                },
                {
                    "type": "string",
                    "id": "#gen_paleocar_model.cwl/itrdb"
                },
                {
                    "type": "string",
                    "id": "#gen_paleocar_model.cwl/label"
                },
                {
                    "type": "string",
                    "id": "#gen_paleocar_model.cwl/min_width"
                },
                {
                    "type": "string",
                    "id": "#gen_paleocar_model.cwl/prediction_years"
                },
                {
                    "type": "string",
                    "id": "#gen_paleocar_model.cwl/prism_data_for_coordinates"
                },
                {
                    "type": "string",
                    "id": "#gen_paleocar_model.cwl/verbose"
                }
            ],
            "baseCommand": null,
            "id": "#gen_paleocar_model.cwl",
            "outputs": [
                {
                    "type": "string",
                    "id": "#gen_paleocar_model.cwl/paleocar_log_file"
                },
                {
                    "type": "string",
                    "id": "#gen_paleocar_model.cwl/prediction_model"
                },
                {
                    "type": "string",
                    "id": "#gen_paleocar_model.cwl/prediction_plot"
                },
                {
                    "type": "string",
                    "id": "#gen_paleocar_model.cwl/uncertainty_model"
                },
                {
                    "type": "string",
                    "id": "#gen_paleocar_model.cwl/uncertainty_plot"
                }
            ]
        },
        {
            "class": "Workflow",
            "requirements": [
                {
                    "class": "SubworkflowFeatureRequirement"
                }
            ],
            "inputs": [
                {
                    "type": "string",
                    "id": "#main/calibration_years"
                },
                {
                    "type": "string",
                    "id": "#main/itrdb"
                },
                {
                    "type": "string",
                    "id": "#main/label"
                },
                {
                    "type": "string",
                    "id": "#main/min_width"
                },
                {
                    "type": "string",
                    "id": "#main/prediction_years"
                },
                {
                    "type": "string",
                    "id": "#main/prism_data_for_coordinates"
                },
                {
                    "type": "string",
                    "id": "#main/verbose"
                }
            ],
            "outputs": [
                {
                    "type": "string",
                    "outputSource": "#main/gen_paleocar_model/paleocar_log_file",
                    "id": "#main/paleocar_log_file"
                },
                {
                    "type": "string",
                    "outputSource": "#main/gen_paleocar_model/prediction_model",
                    "id": "#main/prediction_model"
                },
                {
                    "type": "string",
                    "outputSource": "#main/gen_paleocar_model/prediction_plot",
                    "id": "#main/prediction_plot"
                },
                {
                    "type": "string",
                    "outputSource": "#main/gen_paleocar_model/uncertainty_model",
                    "id": "#main/uncertainty_model"
                },
                {
                    "type": "string",
                    "outputSource": "#main/gen_paleocar_model/uncertainty_plot",
                    "id": "#main/uncertainty_plot"
                }
            ],
            "steps": [
                {
                    "run": "#gen_paleocar_model.cwl",
                    "in": [
                        {
                            "source": "#main/calibration_years",
                            "id": "#main/gen_paleocar_model/calibration_years"
                        },
                        {
                            "source": "#main/itrdb",
                            "id": "#main/gen_paleocar_model/itrdb"
                        },
                        {
                            "source": "#main/label",
                            "id": "#main/gen_paleocar_model/label"
                        },
                        {
                            "source": "#main/min_width",
                            "id": "#main/gen_paleocar_model/min_width"
                        },
                        {
                            "source": "#main/prediction_years",
                            "id": "#main/gen_paleocar_model/prediction_years"
                        },
                        {
                            "source": "#main/prism_data_for_coordinates",
                            "id": "#main/gen_paleocar_model/prism_data_for_coordinates"
                        },
                        {
                            "source": "#main/verbose",
                            "id": "#main/gen_paleocar_model/verbose"
                        }
                    ],
                    "out": [
                        "#main/gen_paleocar_model/prediction_model",
                        "#main/gen_paleocar_model/prediction_plot",
                        "#main/gen_paleocar_model/uncertainty_model",
                        "#main/gen_paleocar_model/uncertainty_plot",
                        "#main/gen_paleocar_model/paleocar_log_file"
                    ],
                    "id": "#main/gen_paleocar_model"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.0"
}
