
% FACT: program(program_id, program_name, qualified_program_name, begin_annotation_id, end_annotation_id).
program(1, 'exec_paleocar', 'exec_paleocar', 1, 46).
program(2, 'gen_paleocar_model', 'exec_paleocar.gen_paleocar_model', 17, 45).

% FACT: workflow(program_id).
workflow(1).

% FACT: function(program_id).

% FACT: has_subprogram(program_id, subprogram_id).
has_subprogram(1, 2).

% FACT: port(port_id, port_type, port_name, qualified_port_name, port_annotation_id, data_id).
port(1, 'in', 'prediction_years', 'exec_paleocar<-prediction_years', 3, 1).
port(2, 'in', 'prism_data_for_coordinates', 'exec_paleocar<-prism_data_for_coordinates', 5, 2).
port(3, 'param', 'itrdb', 'exec_paleocar<-itrdb', 6, 3).
port(4, 'param', 'calibration_years', 'exec_paleocar<-calibration_years', 7, 4).
port(5, 'param', 'label', 'exec_paleocar<-label', 9, 5).
port(6, 'param', 'min_width', 'exec_paleocar<-min_width', 10, 6).
port(7, 'param', 'verbose', 'exec_paleocar<-verbose', 11, 7).
port(8, 'out', 'prediction_model', 'exec_paleocar->prediction_model', 12, 8).
port(9, 'out', 'prediction_plot', 'exec_paleocar->prediction_plot', 13, 9).
port(10, 'out', 'uncertainty_model', 'exec_paleocar->uncertainty_model', 14, 10).
port(11, 'out', 'uncertainty_plot', 'exec_paleocar->uncertainty_plot', 15, 11).
port(12, 'out', 'paleocar_log_file', 'exec_paleocar->paleocar_log_file', 16, 12).
port(13, 'in', 'prediction_years', 'exec_paleocar.gen_paleocar_model<-prediction_years', 19, 13).
port(14, 'in', 'prism_data_for_coordinates', 'exec_paleocar.gen_paleocar_model<-prism_data_for_coordinates', 21, 14).
port(15, 'param', 'itrdb', 'exec_paleocar.gen_paleocar_model<-itrdb', 23, 15).
port(16, 'param', 'calibration_years', 'exec_paleocar.gen_paleocar_model<-calibration_years', 27, 16).
port(17, 'param', 'label', 'exec_paleocar.gen_paleocar_model<-label', 29, 17).
port(18, 'param', 'min_width', 'exec_paleocar.gen_paleocar_model<-min_width', 31, 18).
port(19, 'param', 'verbose', 'exec_paleocar.gen_paleocar_model<-verbose', 33, 19).
port(20, 'out', 'prediction_model', 'exec_paleocar.gen_paleocar_model->prediction_model', 35, 20).
port(21, 'out', 'prediction_plot', 'exec_paleocar.gen_paleocar_model->prediction_plot', 37, 21).
port(22, 'out', 'uncertainty_model', 'exec_paleocar.gen_paleocar_model->uncertainty_model', 39, 22).
port(23, 'out', 'uncertainty_plot', 'exec_paleocar.gen_paleocar_model->uncertainty_plot', 41, 23).
port(24, 'out', 'paleocar_log_file', 'exec_paleocar.gen_paleocar_model->paleocar_log_file', 43, 24).

% FACT: port_alias(port_id, alias).

% FACT: port_uri_template(port_id, uri).
port_uri_template(14, 'file\:.output/\{session_id\}/\{run_id\}/112W36N.csv').
port_uri_template(15, 'file\:data/itrdb.Rda').
port_uri_template(20, 'file\:.output/\{session_id\}/\{run_id\}/\{label\}_prediction.Rds').
port_uri_template(21, 'file\:.output/\{session_id\}/\{run_id\}/\{label\}_predictions.jpg').
port_uri_template(22, 'file\:.output/\{session_id\}/\{run_id\}/\{label\}_uncertainty.Rds').
port_uri_template(23, 'file\:.output/\{session_id\}/\{run_id\}/\{label\}_uncertainty.jpg').
port_uri_template(24, 'file\:.output/\{session_id\}/\{run_id\}/paleocar_model_log.txt').

% FACT: has_in_port(block_id, port_id).
has_in_port(1, 1).
has_in_port(1, 2).
has_in_port(1, 3).
has_in_port(1, 4).
has_in_port(1, 5).
has_in_port(1, 6).
has_in_port(1, 7).
has_in_port(2, 13).
has_in_port(2, 14).
has_in_port(2, 15).
has_in_port(2, 16).
has_in_port(2, 17).
has_in_port(2, 18).
has_in_port(2, 19).

% FACT: has_out_port(block_id, port_id).
has_out_port(1, 8).
has_out_port(1, 9).
has_out_port(1, 10).
has_out_port(1, 11).
has_out_port(1, 12).
has_out_port(2, 20).
has_out_port(2, 21).
has_out_port(2, 22).
has_out_port(2, 23).
has_out_port(2, 24).

% FACT: data(data_id, data_name, qualified_data_name).
data(1, 'prediction_years', '[prediction_years]').
data(2, 'prism_data_for_coordinates', '[prism_data_for_coordinates]').
data(3, 'itrdb', '[itrdb]').
data(4, 'calibration_years', '[calibration_years]').
data(5, 'label', '[label]').
data(6, 'min_width', '[min_width]').
data(7, 'verbose', '[verbose]').
data(8, 'prediction_model', '[prediction_model]').
data(9, 'prediction_plot', '[prediction_plot]').
data(10, 'uncertainty_model', '[uncertainty_model]').
data(11, 'uncertainty_plot', '[uncertainty_plot]').
data(12, 'paleocar_log_file', '[paleocar_log_file]').
data(13, 'prediction_years', 'exec_paleocar[prediction_years]').
data(14, 'prism_data_for_coordinates', 'exec_paleocar[prism_data_for_coordinates]').
data(15, 'itrdb', 'exec_paleocar[itrdb]').
data(16, 'calibration_years', 'exec_paleocar[calibration_years]').
data(17, 'label', 'exec_paleocar[label]').
data(18, 'min_width', 'exec_paleocar[min_width]').
data(19, 'verbose', 'exec_paleocar[verbose]').
data(20, 'prediction_model', 'exec_paleocar[prediction_model]').
data(21, 'prediction_plot', 'exec_paleocar[prediction_plot]').
data(22, 'uncertainty_model', 'exec_paleocar[uncertainty_model]').
data(23, 'uncertainty_plot', 'exec_paleocar[uncertainty_plot]').
data(24, 'paleocar_log_file', 'exec_paleocar[paleocar_log_file]').

% FACT: channel(channel_id, data_id).
channel(1, 8).
channel(2, 9).
channel(3, 10).
channel(4, 11).
channel(5, 12).
channel(6, 13).
channel(7, 14).
channel(8, 15).
channel(9, 16).
channel(10, 17).
channel(11, 18).
channel(12, 19).
channel(13, 1).
channel(14, 2).
channel(15, 3).
channel(16, 4).
channel(17, 5).
channel(18, 6).
channel(19, 7).
channel(20, 20).
channel(21, 21).
channel(22, 22).
channel(23, 23).
channel(24, 24).

% FACT: port_connects_to_channel(port_id, channel_id).
port_connects_to_channel(20, 1).
port_connects_to_channel(21, 2).
port_connects_to_channel(22, 3).
port_connects_to_channel(23, 4).
port_connects_to_channel(24, 5).
port_connects_to_channel(13, 6).
port_connects_to_channel(14, 7).
port_connects_to_channel(15, 8).
port_connects_to_channel(16, 9).
port_connects_to_channel(17, 10).
port_connects_to_channel(18, 11).
port_connects_to_channel(19, 12).
port_connects_to_channel(13, 13).
port_connects_to_channel(14, 14).
port_connects_to_channel(15, 15).
port_connects_to_channel(16, 16).
port_connects_to_channel(17, 17).
port_connects_to_channel(18, 18).
port_connects_to_channel(19, 19).
port_connects_to_channel(20, 20).
port_connects_to_channel(21, 21).
port_connects_to_channel(22, 22).
port_connects_to_channel(23, 23).
port_connects_to_channel(24, 24).

% FACT: inflow_connects_to_channel(port_id, channel_id).
inflow_connects_to_channel(1, 6).
inflow_connects_to_channel(2, 7).
inflow_connects_to_channel(3, 8).
inflow_connects_to_channel(4, 9).
inflow_connects_to_channel(5, 10).
inflow_connects_to_channel(6, 11).
inflow_connects_to_channel(7, 12).
inflow_connects_to_channel(1, 13).
inflow_connects_to_channel(2, 14).
inflow_connects_to_channel(3, 15).
inflow_connects_to_channel(4, 16).
inflow_connects_to_channel(5, 17).
inflow_connects_to_channel(6, 18).
inflow_connects_to_channel(7, 19).

% FACT: outflow_connects_to_channel(port_id, channel_id).
outflow_connects_to_channel(8, 1).
outflow_connects_to_channel(9, 2).
outflow_connects_to_channel(10, 3).
outflow_connects_to_channel(11, 4).
outflow_connects_to_channel(12, 5).
outflow_connects_to_channel(8, 20).
outflow_connects_to_channel(9, 21).
outflow_connects_to_channel(10, 22).
outflow_connects_to_channel(11, 23).
outflow_connects_to_channel(12, 24).

% FACT: uri_variable(uri_variable_id, variable_name, port_id).
uri_variable(1, 'session_id', 14).
uri_variable(2, 'run_id', 14).
uri_variable(3, 'session_id', 20).
uri_variable(4, 'run_id', 20).
uri_variable(5, 'label', 20).
uri_variable(6, 'session_id', 21).
uri_variable(7, 'run_id', 21).
uri_variable(8, 'label', 21).
uri_variable(9, 'session_id', 22).
uri_variable(10, 'run_id', 22).
uri_variable(11, 'label', 22).
uri_variable(12, 'session_id', 23).
uri_variable(13, 'run_id', 23).
uri_variable(14, 'label', 23).
uri_variable(15, 'session_id', 24).
uri_variable(16, 'run_id', 24).

% FACT: log_template(log_template_id, port_id, entry_template, log_annotation_id).

% FACT: log_template_variable(log_variable_id, variable_name, log_template_id).
